<div class="container">

<div class="col-md-8 ">
    <kendo-pdf-export #pdf paperSize="A4" forcePageBreak=".page-break" margin="0.9cm" [imageResolution]="120" [scale]="0.8"   [repeatHeaders]="true">   

        <!--use class="page-break" if you want the content to start in next page and don't use this class  for tables. tables are automatically taken care  -->

    <h2 >Hotel Voucher</h2> 
    <table style="padding-top: 12px" >
        <tr>
          <th></th>
          <th></th> 
          
        </tr>
        <tr>
          <td><b>Confirmation par: </b></td>
          <td>Mr/Mme {{reservation.client.nom}}</td>
          
        </tr>
        <tr>
          <td><b>Check_In --Ckeck_Out :</b></td>
          <td>{{reservation.vente_hotel.entree | date:'short'}} --- {{reservation.vente_hotel.sortie | date:'short'}}</td>
         </tr>
        <tr>
          <td><b>Nuitee(s): </b></td>
          <td>{{nuitee}}</td>
        </tr>
        <tr>
          <td><b>Hôtel: </b></td>
          <td><h4 *ngIf="gotData|async">{{hotelName}}</h4></td>
        </tr>
      </table>
   
    
    <!-- you can use large tables but if you want the repeated headers on every page containing  table content then you have to write you're headings in -->
    <table class="table table-bordered">
        <thead>
          <tr>
            <th scope="col">#</th>
            <th scope="col">Type Chambre</th>
            <th scope="col">Adultes</th>
            <th scope="col">Enfants</th>
            <th scope="col">Arrangement</th>
            <th scope="col">Prix</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let ch of reservation.Chambre; let id=index">
            <th scope="row">{{id+1}}</th>
            <td>{{tableofRoomTypes[id]}}</td>
            <td> <table><tr *ngFor="let ad of ch.adultes">{{ad.nom}}</tr></table></td>
            <td><table ><tr *ngFor="let e of ch.enfants">{{e.nom}}({{e.age}} ans)</tr></table></td>
            <!--<td  *ngFor="let ad of ch.adultes; let i=index;" rowspan="index">{{ad.nom}}</td>-->
            <!--<td  *ngFor="let e of ch.enfants; let in=index;" rowspan="index">{{e.nom}}</td>-->
            <td>{{ch.arrangement}}</td>
            <td>{{ch.prix}} DT</td>
        </tr>
        
        </tbody>
      </table>
   <!--[ngStyle]="{'background-color':ch.adultes.length == 0 ? 'grey' : 'red' }"-->
    <!--footer --> 

    <!--<ng-template kendoPDFTemplate let-pageNum="pageNum" let-totalPages="totalPages"> 

    Below div tag is for watermark. you can use condition for to show watermark  -->

    <!--<div *ngIf=" " class="page-template"> 
    <div *ngIf="pageNum !== 1" class="watermark">Not For Publication</div>  
    </div> 

    <div *ngIf="pageNum !== 1" class="pageNum">  
        <i class="fa fa-copyright" aria-hidden="true" style="margin-right:10px">example,Inc.  {{current_year | date:"yyyy"}}  </i>
    </div>  

    <div *ngIf="pageNum !== 1" class="createdBy">Report prepared by {{name}}
    <span  style="float: right;">Page {{ pageNum }} of {{ totalPages }}</span> 
    </div> 
    </ng-template>-->

    </kendo-pdf-export>

    <div>
        <button id="genrate_pdf" kendo-button (click)="pdf.saveAs('voucher.pdf')" class="btn btn-lg btn-rounded btn-success">  Generate PDF </button>
    </div> 
</div> 
</div>
